> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectorify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an upsert

> Retrieve a specific upsert. An upsert is an operation that allows you to create or update items in a single operation.



## OpenAPI

````yaml https://vectorify.ai/api.json get /upserts/{upsert}
openapi: 3.1.0
info:
  title: Vectorify
  version: 1.0.0
servers:
  - url: https://api.vectorify.ai/v1
    description: Production
security:
  - apiKey: []
tags:
  - name: Query
  - name: Chats
  - name: Upserts
  - name: Items
  - name: Collections
paths:
  /upserts/{upsert}:
    get:
      tags:
        - Upserts
      summary: Retrieve an upsert
      description: >-
        Retrieve a specific upsert. An upsert is an operation that allows you to
        create or update items in a single operation.
      operationId: upserts.show
      parameters:
        - name: upsert
          in: path
          required: true
          description: The upsert ID
          schema:
            type: integer
      responses:
        '200':
          description: '`Upsert`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Upsert'
                required:
                  - data
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    Upsert:
      type: object
      properties:
        id:
          type: string
        chunk_size:
          type: integer
        status:
          type: string
        started_at:
          type: string
        completed_at:
          type: string
        created_at:
          type: string
      required:
        - id
        - chunk_size
        - status
        - started_at
        - completed_at
        - created_at
      title: Upsert
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Api-Key

````